Correction dynapi pour netscape 6 et netscape 7

Soyez le premier à donner votre avis sur cette source.

Snippet vu 5 048 fois - Téléchargée 32 fois

Contenu du snippet

Si vous connaissez et utilisez la librairie de Dan Steinman DynApi ( qui permet de créer des scripts DHTML sans se soucier des navigateurs ), vous avez sans doute remarqué que cette librairie ne marchait pas avec Netscape 6 et sup

Pour palier à ce défaut, j'ai récrit la fonction moveBy() : il faut mettre celle-ci à la place de celle écrite par Dan Steinman dans le fichier dynApi.js

Source / Exemple :


/*Correction de la fonction moveBy()pour Netscape 6 et sup */
/* par brice leblanc, Webmaster de l'Exerciste */
/* www.lexerciste.net/lexerciste/accueil.php */

function DynLayerMoveBy(x,y) {
/* on insère la fonction parseInt() */
this.moveTo(parseInt(this.x)+x,parseInt(this.y)+y)
}

Conclusion :


les commentaires ne sont pas obligatoires ! mais merci de les laisser si vous utilisez cette correction ...

je vais essayer de voir pour les autres fonctions

le site de Dan Steinman : http://www.dansteinman.com/dynduo/

le mien : http://www.lexerciste.net

A voir également

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.

Du même auteur (bbProg)